View Issue Details

IDProjectCategoryView StatusLast Update
0000916PluginsTemporary panelpublic2010-05-03 00:20
ReporterNightRomanAssigned Tozg 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version2.0 
Summary0000916: Мусор в Detailed mode, колонка Packed
DescriptionDetailed mode, колонка Packed - у меня такое ощущение, что там показывается что-то близкое к мусору.

Несколько примеров:
│ Size │Packed│
│ Up │ 0│
│ 4314│ 192 G│
│ 1600│ 192 G│
│ 11227│ 59 ,│
│ 2636│ 59 ,│
TagsNo tags attached.

Activities

chupakabra

2009-11-04 12:24

developer   bugnote:0004491

Эта проблема еще проявляется?

alexy

2009-11-04 12:32

administrator   bugnote:0004493

Да, повторяется. И проблема вообще вроде бы в фаре.

alexy

2009-11-28 23:09

administrator   bugnote:0004609

Не знаю как и что, но повторятся перестало. Роман, у тебя как?

NightRoman

2009-11-30 13:24

reporter   bugnote:0004628

Повторяется. Проверил на 2 машинах на одних данных. Виста - одни нули. Вин7 сплошные пета-байты и прочие числа бредовые, много повторяющихся. В общем, видимо, ничего не поменялось, какой-то мусор туда лезет.

NightRoman

2009-11-30 15:01

reporter   bugnote:0004631

Подметил одну фичу. А, ну во-первых, как я получаю панель-то, может, от этого тоже зависит: беру какую-нибудь папку, иду туда, поиском нахожу все в ней, открываю результаты во временной панели. Далее:

*) если сразу перехожу в режим Ctrl-5, то там в колонке Packed мусорные числа;
*) а вот если сначала перейти в режим Ctrl-9, а только потом в Ctrl-5, то в Packed будут одни нули.

Этот эффект вроде стабилен на 2 машинах. Может, это просто описание, как разный мусор разными способоми получить, а может и натолкнет на идею, где собака порылась.

chupakabra

2009-11-30 22:26

developer   bugnote:0004643

Это похоже из-за того что в FAR_FIND_DATA_EX совмещены поля nPackSize и dwReserved

zg

2009-12-02 00:35

developer   bugnote:0004659

в 1258 занулил. хотя конечно хочется реальных значений.

zg

2009-12-02 01:15

developer   bugnote:0004660

в 1259 реальные данные.

NightRoman

2009-12-02 09:23

reporter   bugnote:0004661

1259
ecли в режим 5 перейти после режима 9, то там все равно нули

Issue History

Date Modified Username Field Change
2009-06-06 16:32 NightRoman New Issue
2009-10-27 00:47 alexy Assigned To => alexy
2009-10-27 00:47 alexy Status new => assigned
2009-11-04 12:24 chupakabra Note Added: 0004491
2009-11-04 12:32 alexy Note Added: 0004493
2009-11-28 23:09 alexy Note Added: 0004609
2009-11-28 23:13 alexy Status assigned => feedback
2009-11-30 13:24 NightRoman Note Added: 0004628
2009-11-30 15:01 NightRoman Note Added: 0004631
2009-11-30 22:26 chupakabra Note Added: 0004643
2009-12-01 23:59 alexy Assigned To alexy =>
2009-12-01 23:59 alexy Status feedback => new
2009-12-02 00:35 zg Note Added: 0004659
2009-12-02 01:15 zg Note Added: 0004660
2009-12-02 09:23 NightRoman Note Added: 0004661
2009-12-02 09:45 alexy Assigned To => zg
2009-12-02 09:45 alexy Status new => assigned
2010-05-03 00:20 alexy Status assigned => closed
2010-05-03 00:20 alexy Resolution open => fixed
2010-05-03 00:20 alexy Fixed in Version => 2.0